Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.no
Class NorwegianLightStemmer

    java.lang.Object
      org.apache.lucene.analysis.no.NorwegianLightStemmer

    public class NorwegianLightStemmer

extends Object

Light Stemmer for Norwegian.

Parts of this stemmer is adapted from SwedishLightStemFilter, except that while the Swedish one has a pre-defined rule set and a corresponding corpus to validate against whereas the Norwegian one is hand crafted.

Field Summary
`static int` | `BOKMAAL` Constant to remove Bokmål-specific endings
`static int` | `NYNORSK` Constant to remove Nynorsk-specific endings

Constructor Summary
`NorwegianLightStemmer(int flags)` Creates a new NorwegianLightStemmer

Method Summary
`int` | `stem(char[] s, int len)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BOKMAAL

    public static final int BOKMAAL

  Constant to remove Bokmål-specific endings

  See Also:
    Constant Field Values

### NYNORSK

    public static final int NYNORSK

  Constant to remove Nynorsk-specific endings

  See Also:
    Constant Field Values

Constructor Detail

### NorwegianLightStemmer

    public NorwegianLightStemmer(int flags)

  Creates a new NorwegianLightStemmer

  Parameters:
    `flags` - set to `BOKMAAL`, `NYNORSK`, or both.

Method Detail

### stem

    public int stem(char[] s,
                    int len)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.